Issue 106132 - nss: use system sqlite
Summary: nss: use system sqlite
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: DEV300m60
Hardware: All Mac OS X, all
: P3 Trivial (vote)
Target Milestone: OOo 3.3
Assignee: oliver.bolte
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-21 10:31 UTC by joachim.lingner
Modified: 2010-01-06 12:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description joachim.lingner 2009-10-21 10:31:15 UTC
nss brings its own sqlite which collides with the one of the system in MacOS
10.6. Currently this is solved by setting
DYLD_INSERT_LIBRARIES=/usr/libsqlite3.dyld in solenv.
Comment 1 joachim.lingner 2009-10-21 10:31:59 UTC
.
Comment 2 joachim.lingner 2009-11-27 12:59:06 UTC
There is a error which breaks the nss build which occurrs during signing of the
nss libraries. The reason is that the signtool loads the squlite, which is build
from nss. It also loads system libraries which are linked with the system
sqlite. The loader compares the required version and determines that the nss
sqlite does not meet the requirements and then quits.

One solution would be to not build the sqlite in nss and instead use the one
from the system. This can be done by setting
NSS_USE_SYSTEM_SQLITE=1
However, the system sqlite ( Mac OS 10.4) cannot be used because it is too old.
libsoftokn3 requires a more recent version.

The fix is to disable the signing of the nss libraries altogether.

libsqlite3 will not be delivered in the lib directory of the solver, because
that would break build tools which use system libraries linked with the system
sqlite. This is basically the same what happens when the nss build broke during
signing of the libraries.
Comment 3 joachim.lingner 2009-11-30 15:00:00 UTC
Instead libsqlite3.xxx will be delivered to $(SOLARLIBDIR)/sqlite/libsqlite3.xxx.
Comment 4 joachim.lingner 2009-12-01 08:53:05 UTC
@obo: Please verify. Do not forget to remove libsqlite3.dylib from SOLARLIBDIR
first.
Comment 5 oliver.bolte 2009-12-01 10:19:42 UTC
verified.
Comment 6 oliver.bolte 2010-01-06 12:47:25 UTC
cws jl144 has been integrated into DEV300 m69 -> closed.